### Method

# EDataServer NamedParameters set

since: 3.8

#### Declaration [src]

    void
    e_named_parameters_set (
      ENamedParameters* parameters,
      const gchar* name,
      const gchar* value
    )

#### Description [src]

Sets parameter named `name` to value `value`. If `value` is NULL, then the parameter is removed. `value` can be an empty string.

Note: There is a restriction on parameter names, it cannot be empty or contain a colon character (‘:’), otherwise it can be pretty much anything.

Available since: 3.8

#### Parameters

`name`

  Type: `const gchar*`

  Name of a parameter to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  Value to set, or `NULL` to unset.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.